javax.persistence.criteria

## Interface CommonAbstractCriteria

All Known Subinterfaces:
  AbstractQuery<T>, CriteriaDelete<T>, CriteriaQuery<T>, CriteriaUpdate<T>, Subquery<T>

    public interface CommonAbstractCriteria

The `CommonAbstractCriteria` interface defines functionality that is common to both top-level criteria queries and subqueries as well as to update and delete criteria operations. It is not intended to be used directly in query construction.

Note that criteria queries and criteria update and delete operations are typed differently. Criteria queries are typed according to the query result type. Update and delete operations are typed according to the target of the update or delete.

Since:
  Java Persistence 2.1

### Method Summary

All Methods Instance Methods Abstract Methods
`Predicate` `getRestriction()` Return the predicate that corresponds to the where clause restriction(s), or null if no restrictions have been specified.
`<U> Subquery<U>` `subquery(Class<U> type)` Create a subquery of the query.

### Method Detail

#### subquery

    <U> Subquery<U> subquery(Class<U> type)

Create a subquery of the query.

Parameters:
  `type` - the subquery result type
Returns:
  subquery

#### getRestriction

    Predicate getRestriction()

Return the predicate that corresponds to the where clause restriction(s), or null if no restrictions have been specified.

Returns:
  where clause predicate